/*Global style*/
.topbar{
  height: 70px;
  display: flex;
  align-items: center;
  margin-bottom: 0!important;

  .navbar-nav{
    margin-top: 0;
    height: 70px;
  }
}

/*Calendar*/
.uk-button-primary{
  background-color: #4e73df;
  font-weight: bold;
}
.calendar-part{
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: calc(100vh - 70px);
  overflow: hidden;
  //margin-top: -1.5rem;

  .uk-divider-vertical{
    margin-top: 0;
    border-left: 1px solid #808080;
    height: 100%;
  }
  .card{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 15px;
    position: absolute;
    width: 269px;
    height: 150px;
    background-color: green;
    top: 0;
    left: 45px;

    z-index: 2;

    color: white;

    &:hover{
      text-decoration: none;
    }
  }

  .color45{
    background-color: green;
  }
  .color315{
    background-color: red;

  }
  .color585{
    background-color: #929200;
  }

  .color855{
    background-color: #0D3349;
  }
  .color1155{
    background-color: #03490b;
  }
  .color1425{
    background-color: #490704;
  }
}



/*Navigation*/
.nav-calendar{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 300px;
  height: 100%;
  margin: -1px 0 0 -1px;

  .uk-input{
    height: 30px;
  }
}

.current-day{
  button{
    width: 100%;
    height: 30px;
    line-height: 30px;
  }
}

.calendar {
  width: 100%;
  height: calc(33% - 10px);
  line-height: 1.2em;
  font-size: 18px;
  text-align: center;
}
.calendar thead tr:last-child {
  font-size: small;
  color: rgb(85, 85, 85);
}

.calendar thead tr {
  height: 30px;
}

.calendar tbody {
  border: 1px solid grey;
}

.calendar tbody td {
  color: rgb(44, 86, 122);
  border: 1px solid grey;

  &:hover{
    cursor: pointer;
    background-color: #9be7ff;
    color: white;
  }
}

.calendar tbody td:nth-child(n+6), .calendar .holiday {
  color: rgb(231, 140, 92);
}

.calendar tbody td.active {
  background-color: #4e73df;
  color: white;
}

.calendar tbody td.today {
  background-color: #9be7ff;
  color: white;
}

/*Content*/
.content-calendar{
  width: calc(100% - 300px);
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling: touch;

}
.icon-row{
  height: 60px;
  min-width: 100%;
  display: inline-flex;
  border: 1px solid #808080;

  span{
    width: 45px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #808080;
    margin-bottom: -1px;
    margin-left: -1px;
  }

  .tutor_column{
    height: 100%;
    width: 269px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid #808080;
  }
}
.min-row{
  height: 35px;
  position: relative;
  display: none;
  span{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    color: #3285c5;
    padding: 2px;
    width: 45px;
    border: 1px solid #808080;

    margin-bottom: -1px;
    height: 100%;
  }
  &:hover{

    span{
      background-color: #9be7ff;
    }
  }
}



/*Add visit*/

.tableVisit{
  border: 1px solid #e5e5e5;
}
.btnYellow{
  background-color: yellow;
  color: black;
  &:hover{
    color: black;
    background-color: #ffe929;
  }
}
.btnGreen{
  background-color: green;
  &:hover{
    background-color: #068038;
  }
}


/*Add user in current date*/

.addPage{
  width: 1180px;
  padding: 50px 0;
}

.hidden-data{
  display: none;
}


@import "tables";